directory-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "oplms (JIRA)" <j...@apache.org>
Subject [jira] [Comment Edited] (DIRSTUDIO-899) Unable to install Studio using the update site: "Missing requirement: ApacheDS Core 2.0.0.M11"
Date Tue, 16 Apr 2013 13:09:17 GMT

    [ https://issues.apache.org/jira/browse/DIRSTUDIO-899?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13632817#comment-13632817
] 

oplms edited comment on DIRSTUDIO-899 at 4/16/13 1:08 PM:
----------------------------------------------------------

Looks like the bug is still present.
Steps to reproduce:
Follow guide http://directory.apache.org/studio/installation-in-eclipse.html, except instead
of selecting 'LDAP Browser' select all available options. During installation, this report
below is shown and installation breaks:

Cannot complete the install because one or more required items could not be found.
Software currently installed: Apache Directory Studio ApacheDS 2.0 Configuration 2.0.0.v20130308
(org.apache.directory.studio.apacheds.configuration.v2.feature.feature.group 2.0.0.v20130308)
Missing requirement: ApacheDS Core 2.0.0.M11 (org.apache.directory.server.core 2.0.0.M11)
requires 'package org.apache.directory.server.core.admin [2.0.0,3.0.0)' but it could not be
found
Cannot satisfy dependency:
From: Apache Directory Studio ApacheDS 2.0 Configuration 2.0.0.v20130308 (org.apache.directory.studio.apacheds.configuration.v2.feature.feature.group
2.0.0.v20130308)
To: org.apache.directory.server.core [2.0.0.M11]

Using Version: 4.2.2 Build id: M20130204-1200
                
      was (Author: oplms):
    Looks like the bug is still present.
Steps to reproduce:
Follow [guide|http://directory.apache.org/studio/installation-in-eclipse.html], except instead
of selecting 'LDAP Browser' select all available options. During installation, this report
below is shown and installation breaks:
{noformat}
Cannot complete the install because one or more required items could not be found.
Software currently installed: Apache Directory Studio ApacheDS 2.0 Configuration 2.0.0.v20130308
(org.apache.directory.studio.apacheds.configuration.v2.feature.feature.group 2.0.0.v20130308)
Missing requirement: ApacheDS Core 2.0.0.M11 (org.apache.directory.server.core 2.0.0.M11)
requires 'package org.apache.directory.server.core.admin [2.0.0,3.0.0)' but it could not be
found
Cannot satisfy dependency:
From: Apache Directory Studio ApacheDS 2.0 Configuration 2.0.0.v20130308 (org.apache.directory.studio.apacheds.configuration.v2.feature.feature.group
2.0.0.v20130308)
To: org.apache.directory.server.core [2.0.0.M11]
{noformat}
Using Version: 4.2.2 Build id: M20130204-1200
                  
> Unable to install Studio using the update site: "Missing requirement: ApacheDS Core 2.0.0.M11"
> ----------------------------------------------------------------------------------------------
>
>                 Key: DIRSTUDIO-899
>                 URL: https://issues.apache.org/jira/browse/DIRSTUDIO-899
>             Project: Directory Studio
>          Issue Type: Bug
>    Affects Versions: 2.0.0-M6
>            Reporter: Pierre-Arnaud Marcelot
>            Assignee: Pierre-Arnaud Marcelot
>            Priority: Blocker
>             Fix For: 2.0.0-M7, 2.0.0
>
>
> This problem was reported on IRC.
> It seems like the ApacheDS Core module has a lot of imports on interceptors modules and
those modules are not part of the distribution.
> Here's the log from the user:
> !MESSAGE Missing requirement: ApacheDS Core 2.0.0.M11 (org.apache.directory.server.core
2.0.0.M11) requires 'package org.apache.directory.server.core.admin [2.0.0,3.0.0)' but it
could not be found

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message